# FilePrintAction
Date: 2013-08-20

## mars.venus
Class FilePrintAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.FilePrintAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class FilePrintAction

extends GuiAction

Action for the File -> Print menu item

See Also:
  Serialized Form

Field Summary

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FilePrintAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` `actionPerformed(ActionEvent e)` Uses the HardcopyWriter class developed by David Flanagan for the book "Java Examples in a Nutshell".

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilePrintAction

    public FilePrintAction(String name,
                           Icon icon,
                           String descrip,
                           Integer mnemonic,
                           KeyStroke accel,
                           VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Uses the HardcopyWriter class developed by David Flanagan for the book "Java Examples in a Nutshell". It will do basic printing of multipage text documents. It displays a print dialog but does not act on any changes the user may have specified there, such as number of copies.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`
  Parameters:
    `e` - component triggering this call